> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xenia.team/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Location Members

> Returns all members assigned to the specified location within a workspace.



## OpenAPI

````yaml GET /api/v1/mgt/workspaces/{workspaceId}/locations/{locationId}/members
openapi: 3.1.0
info:
  title: Xenia Team API - Get Location Members
  version: 1.0.0
  description: Fetch members assigned to a specific location within a workspace.
servers:
  - url: https://api.xenia.team
security: []
paths:
  /api/v1/mgt/workspaces/{workspaceId}/locations/{locationId}/members:
    get:
      tags:
        - Location Members
      summary: Get Location Members
      description: >-
        Returns all members assigned to the specified location within a
        workspace.
      parameters:
        - name: workspaceId
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: Workspace UUID
        - name: locationId
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: Location UUID
      responses:
        '200':
          description: List of members for the specified location
          content:
            application/json:
              example:
                data:
                  - id: c1f75fc2-4698-4cce-953e-ebc2d28e8e67
                    HotelId: cb363f7e-c52a-4478-911d-f6a6f791090e
                    LocationId: b9164b03-60c2-4500-89a4-f490e38c9872
                    MemberId: 4b368364-6e23-4e32-a537-62de606fa5d7
                    CreatedBy: e25dd448-7ae7-4588-8767-7e1a316547e5
                    UpdatedBy: e25dd448-7ae7-4588-8767-7e1a316547e5
                    createdAt: '2025-02-13T14:02:30.050Z'
                    updatedAt: '2025-02-13T14:02:30.050Z'
                    deletedAt: null
                    Member:
                      photo: '@@#685044'
                      fullName: Muhammad Moiz
                      id: 4b368364-6e23-4e32-a537-62de606fa5d7
                      firstName: Muhammad
                      lastName: Moiz
                      emailId: moiz@xeniaplatform.io
                      phoneNo: '+923045464742'
                      deletedAt: null
                      timezone: Pacific/Pago_Pago
                      RoleId: 51d188b9-7c05-499d-8776-3d660c9f05bb
                      defaultLocationId: 564d6764-53e6-4a69-834b-1a14a3be8524
                      type: user
                  - id: 06fb1bf7-f3fe-45cc-b171-ee96ed09b268
                    HotelId: cb363f7e-c52a-4478-911d-f6a6f791090e
                    LocationId: b9164b03-60c2-4500-89a4-f490e38c9872
                    MemberId: e4da5a13-292e-4501-ab9d-acd513387208
                    CreatedBy: e25dd448-7ae7-4588-8767-7e1a316547e5
                    UpdatedBy: e25dd448-7ae7-4588-8767-7e1a316547e5
                    createdAt: '2025-02-13T14:02:30.050Z'
                    updatedAt: '2025-02-13T14:02:30.050Z'
                    deletedAt: null
                    Member:
                      photo: '@@#F37748'
                      fullName: moiz testing user
                      id: e4da5a13-292e-4501-ab9d-acd513387208
                      firstName: moiz testing
                      lastName: user
                      emailId: moiz2@yopmail.com
                      phoneNo: null
                      deletedAt: null
                      timezone: Asia/Karachi
                      RoleId: 51d188b9-7c05-499d-8776-3d660c9f05bb
                      defaultLocationId: 564d6764-53e6-4a69-834b-1a14a3be8524
                      type: user
                extra_meta:
                  message: ''
        '400':
          description: Bad Request - Invalid workspace or location ID format.
        '401':
          description: Unauthorized - Missing or invalid authentication.
        '403':
          description: Forbidden - Insufficient permissions to access location members.
        '404':
          description: Not Found - Location or workspace does not exist.
        '500':
          description: Internal Server Error.
      security:
        - clientKey: []
          clientSecret: []
components:
  securitySchemes:
    clientKey:
      type: apiKey
      in: header
      name: x-client-key
    clientSecret:
      type: apiKey
      in: header
      name: x-client-secret

````